XEN-LIST-IMAGES(8)

NAME
xen-list-images - List all the created and configured Xen images.

SYNOPSIS
  xen-list-image [options]

  Filename Options:
   --extension  Specify the file extension to use. An empty extension is equal
                to any extension.

  Help Options:
   --help     Show this scripts help information.
   --manual   Read this scripts manual.
   --version  Show the version number and exit.

  Testing options:
   --test     Specify an alternate Xen configuration directory.

OPTIONS

--help Show the scripts help information.
--manual Read the manual.
--test This flag causes the script to load the Xen configuration files from a different directory than the default of /etc/xen.
--version Show the version number and exit.

DESCRIPTION
  xen-list-images is a simple script which will display all the
 Xen images which have been created.

  This works by iterating over all files matching the pattern
 /etc/xen/*.cfg which is what the xen-create-image script would
 create.

  For each instance which has been created we'll display the name,
 and then either the IP address configured, or "DHCP" to denote
 a dynamic host.

TODO
  It should be possible to determine the disk(s) used by the images,
 and then display their sizes.

AUTHORS
 Steve Kemp, https://steve.fi/
 Stéphane Jourdois

LICENSE
Copyright (c) 2005-2009 by Steve Kemp, (c) 2010-2013 by The Xen-Tools Development Team. All rights reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself. The LICENSE file contains the full text of the license.